package cn.axzo.workflow.common.code;

import cn.axzo.framework.domain.web.code.IModuleRespCode;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 表单模型响应码
 *
 * @author wangli
 * @since 2023/12/14 16:25
 */
@Getter
@AllArgsConstructor
public enum FormModelRespCode implements IModuleRespCode {
    FORM_MODEL_NOT_EXISTS("001", "表单模型不存在,请检查审批模板的字段管理Tab页"),
    FORM_MODEL_ID_NOT_EXISTS("002", "表单模型ID【{}】不存在"),
    FORM_MODEL_EXISTS("003", "表单模型已存在"),
    ;

    private final String code;
    private final String message;

    @Override
    public String getModuleCode() {
        return "07";
    }

    @Override
    public String getProjectCode() {
        return "998";
    }

}
